// babel.config.js
const babPlugins = [
  ["@babel/plugin-transform-typescript", { allowNamespaces: true }],
  "@babel/proposal-class-properties",
  "@babel/proposal-object-rest-spread",
  "babel-plugin-emotion",
  "@babel/plugin-transform-runtime",
];
module.exports = {
  presets: [
    [
      "@babel/preset-env",
      {
        useBuiltIns: "entry",
        corejs: 3,
        targets: {
          node: "current",
        },
      },
    ],
    "@babel/preset-react",
    "@babel/preset-typescript",
  ],
  plugins: babPlugins,
};
